summaryrefslogtreecommitdiff
path: root/dev-python/github3-py
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2023-02-17 14:07:47 +0000
committerV3n3RiX <venerix@koprulu.sector>2023-02-17 14:07:47 +0000
commit7c9730bcb62df7cbf8248c5db9a478aac52c60ea (patch)
tree3521ee333c83fb6c7ff14d0a0a2d742464e88767 /dev-python/github3-py
parent29394d0921808a94a409f01eff49f681651de5d5 (diff)
gentoo auto-resync : 17:02:2023 - 14:07:46
Diffstat (limited to 'dev-python/github3-py')
-rw-r--r--dev-python/github3-py/Manifest3
-rw-r--r--dev-python/github3-py/github3-py-3.2.0.ebuild50
-rw-r--r--dev-python/github3-py/metadata.xml19
3 files changed, 72 insertions, 0 deletions
diff --git a/dev-python/github3-py/Manifest b/dev-python/github3-py/Manifest
new file mode 100644
index 000000000000..2d57a96bf8d5
--- /dev/null
+++ b/dev-python/github3-py/Manifest
@@ -0,0 +1,3 @@
+DIST github3.py-3.2.0.gh.tar.gz 35522134 BLAKE2B ef263dc7e97bb7acccddc538cf812abc8554395865832ac993fbd7f965fd008607d0a682b35be5bdfc1b46618dcb3391e924f57d841a30ab732df9b3c76774b3 SHA512 2b15524df9289d2139178b4a92914458276cf347ff7e41c55eb6b7b9ad705ced4a9f64eb025aa9334a38611b87147a8ed118a6958a9924f75ad272fc868d196f
+EBUILD github3-py-3.2.0.ebuild 1097 BLAKE2B ee3d98e5e6251a8c5f97954b1a735c1a62b3f77ca3ae160bf7d0476a35f50e9753f2b87d7a06d2199d5b676580f52cb59337b475bde91da573e719c1eb399ae2 SHA512 404435f0475ba930426a73c3db166ba2769bccc37969cb29b3fe5950686e778ce6a34faacb7471f489f1a394dfa23d54623dc59f8b04595fed53a6ca5f78f73f
+MISC metadata.xml 675 BLAKE2B aa0bec874cc285c1d5eb57c128188c8690eb572191465ac193e8df40836b4b27b1994916ee419c2d03e7fd95ad6ee2882d5b603702939663bedc9a0a27f7aeb0 SHA512 cc6cceaf8fb98df0ff61aa8ed7e45af8054cc20ea7e6697ff30d103d2dc5b479486374ad6f99e4de46cc37214701fbfaa4d3fd1a74923b9e7d7dfddae08ebcf8
diff --git a/dev-python/github3-py/github3-py-3.2.0.ebuild b/dev-python/github3-py/github3-py-3.2.0.ebuild
new file mode 100644
index 000000000000..b68f240196b9
--- /dev/null
+++ b/dev-python/github3-py/github3-py-3.2.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+MY_P=github3.py-${PV}
+DESCRIPTION="A wrapper for the GitHub API written in python"
+HOMEPAGE="
+ https://github.com/sigmavirus24/github3.py/
+ https://pypi.org/project/github3.py/
+"
+SRC_URI="
+ https://github.com/sigmavirus24/github3.py/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-vcs/git
+ >=dev-python/requests-2.18.0[${PYTHON_USEDEP}]
+ >=dev-python/uritemplate-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.6.0[${PYTHON_USEDEP}]
+ >=dev-python/pyjwt-2.3.0[${PYTHON_USEDEP}]
+"
+# via PyJWT[crypto]
+RDEPEND+="
+ >=dev-python/cryptography-3.3.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/betamax-0.8.0[${PYTHON_USEDEP}]
+ >=dev-python/betamax-matchers-0.1.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/addopts/d' tox.ini || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/github3-py/metadata.xml b/dev-python/github3-py/metadata.xml
new file mode 100644
index 000000000000..b418a1191050
--- /dev/null
+++ b/dev-python/github3-py/metadata.xml
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ </maintainer>
+ <maintainer type="person">
+ <email>nicolasbock@gentoo.org</email>
+ </maintainer>
+ <longdescription lang="en">
+ github3.py is wrapper for the GitHub API written in python. The design
+ of github3.py is centered around having a logical organization of the
+ methods needed to interact with the API.
+ </longdescription>
+ <upstream>
+ <remote-id type="github">sigmavirus24/github3.py</remote-id>
+ <remote-id type="pypi">github3.py</remote-id>
+ </upstream>
+</pkgmetadata>